VULKAN_HPP_NAMESPACE::FormatProperties Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::FormatProperties:
[legend]

## Public Member Functions

| operator VkFormatProperties const & () const
| operator VkFormatProperties & ()
bool | operator== (FormatProperties const &rhs) const
bool | operator!= (FormatProperties const &rhs) const

## Data Fields

FormatFeatureFlags | linearTilingFeatures
FormatFeatureFlags | optimalTilingFeatures
FormatFeatureFlags | bufferFeatures

## Detailed Description

Definition at line 24156 of file vulkan.hpp.

## Member Function Documentation

## operator VkFormatProperties &()

VULKAN_HPP_NAMESPACE::FormatProperties::operator VkFormatProperties & | ( |  | ) |

inline

Definition at line 24163 of file vulkan.hpp.

{
return *reinterpret_cast<VkFormatProperties*>(this);
}

## operator VkFormatProperties const &()

VULKAN_HPP_NAMESPACE::FormatProperties::operator VkFormatProperties const & | ( |  | ) | const

inline

Definition at line 24158 of file vulkan.hpp.

{
return *reinterpret_cast<const VkFormatProperties*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::FormatProperties::operator!= | ( | FormatProperties const & | rhs | ) | const

inline

Definition at line 24175 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator==()

bool VULKAN_HPP_NAMESPACE::FormatProperties::operator== | ( | FormatProperties const & | rhs | ) | const

inline

Definition at line 24168 of file vulkan.hpp.

{
return ( linearTilingFeatures == rhs.linearTilingFeatures )
&& ( optimalTilingFeatures == rhs.optimalTilingFeatures )
&& ( bufferFeatures == rhs.bufferFeatures );
}

References bufferFeatures, linearTilingFeatures, and optimalTilingFeatures.

Referenced by operator!=().

## Field Documentation

## bufferFeatures

FormatFeatureFlags VULKAN_HPP_NAMESPACE::FormatProperties::bufferFeatures

Definition at line 24182 of file vulkan.hpp.

Referenced by operator==().

## linearTilingFeatures

FormatFeatureFlags VULKAN_HPP_NAMESPACE::FormatProperties::linearTilingFeatures

Definition at line 24180 of file vulkan.hpp.

Referenced by operator==().

## optimalTilingFeatures

FormatFeatureFlags VULKAN_HPP_NAMESPACE::FormatProperties::optimalTilingFeatures

Definition at line 24181 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::FormatProperties::linearTilingFeatures
FormatFeatureFlags linearTilingFeatures
Definition: vulkan.hpp:24180
VULKAN_HPP_NAMESPACE::FormatProperties::optimalTilingFeatures
FormatFeatureFlags optimalTilingFeatures
Definition: vulkan.hpp:24181
VULKAN_HPP_NAMESPACE::FormatProperties::bufferFeatures
FormatFeatureFlags bufferFeatures
Definition: vulkan.hpp:24182
VkFormatProperties
Definition: vulkan_core.h:1851
VULKAN_HPP_NAMESPACE::FormatProperties::operator==
bool operator==(FormatProperties const &rhs) const
Definition: vulkan.hpp:24168